#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long a,b,c,d=0,e=0;
    cin>>a>>b>>c;
    if(a%c==0) d=d+(a/c);
    else d=d+(a/c+1);
    if(b%c==0) e=e+(b/c);
    else e=e+(b/c+1);
    cout<<d*e;
 return 0;
}